package com.example.appforkids.screen.main

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.Image
import androidx.compose.foundation.border
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.collectAsState
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.appforkids.R
import com.example.appforkids.screen.common.CommonButton

@Composable
fun ClickerScreen(userId: Int, OnRouteToRating: () -> Unit){
    val viewModel:ClickerViewModel = viewModel()
    LaunchedEffect(true) {
        viewModel.getUser(userId)
    }
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier
            .fillMaxSize()
            .padding(5.dp)
    ) {
        val user = viewModel.user.collectAsState()
        user.value?.let { Text(text = it.nickname) }
        Image(
            painter = painterResource(id = R.drawable.kodee),
            contentDescription = "",
            modifier = Modifier.padding(5.dp)
                .clickable { viewModel.setClick() }
                .border(border = BorderStroke(1.dp, Color.Gray))
        )
        user.value?.let { Text(text = it.clicks.toString()) }
        CommonButton(onClick = {OnRouteToRating()}, text = "Открыть рейтинг")
    }
}