package com.example.appforkids.screen.score

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.appforkids.screen.common.CommonButton
import com.example.appforkids.screen.common.CommonTextFieldWithLabel

@Composable
fun ScoreScreen(userID:Int, onNavigateToClickerScreen: (Int) -> Unit) {
    val registrationViewModel: ScoreViewModel = viewModel()
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier
            .fillMaxSize()
            .padding(5.dp),

    ) {
        val registerState by registrationViewModel.registrationState.collectAsState()

        registerState.forEach {
            val row = "Никнейм: ${it.nickname} Количество клацов:${it.clicks}"
            if (it.id == userID) {
                Text(text = row,
                    modifier = Modifier
                        .padding(10.dp)
                        .fillMaxWidth()
                        .border(BorderStroke(2.dp, Color.Magenta))
                        .padding(5.dp)
                )
            }else{
                Text(
                    text = row,
                    modifier = Modifier
                        .padding(10.dp)
                        .fillMaxWidth()
                        .border(BorderStroke(1.dp, Color.Black))
                        .padding(5.dp)
                )
            }
        }
        CommonButton(
            text = "Вернуться",
            onClick = {
                onNavigateToClickerScreen(userID)
            }
        )
    }
}